/*==============================================================================
日本 BeOS ネットワーク主催 《 JPBE.net in 秋葉原 第 2 弾》
Zeta Locale Kit 紹介 サンプルプログラム No.3
　～語順の違いに対応する為のコンソールプログラム～
　by ＳＨＩＮＴＡ (shinta@jpbe.net)
==============================================================================*/

//------------------------------------------------------------------------------
// BeOS Headers
#include <Locale.h>
// C++ Headers
#include <iostream>
//------------------------------------------------------------------------------
const char	EXE_FILE_NAME[] = "Sample3";
//==============================================================================
int		main(int oArgC, char* oArgV[])
{
	char	aLangFileName[B_FILE_NAME_LENGTH];
	char	aObj[256];
	char	aPlace[256];

	// R1 では明示的な辞書ロードは不要になると思う
	strcpy(aLangFileName, oArgV[0]);
	aLangFileName[strlen(aLangFileName)-strlen(EXE_FILE_NAME)] = '\0';
	strcat(aLangFileName, "Language/Dictionaries/Sample3");
	be_locale.LoadLanguageFile(aLangFileName);
	// メイン
	cout << "Obj: ";
	cin >> aObj;
	cout << "Place: ";
	cin >> aPlace;
	cout << "[_T(x)]" << endl;
	cout << _T("The ") << aObj << _T(" is in the ") << aPlace << endl;
	cout << "[_TPS(x)]" << endl;
	cout << _TPS("The OBJ is in the PLACE").Replace("OBJ", aObj).Replace("PLACE", aPlace) << endl;
	cout << "[_T(x)+BString::ReplaceAll()]" << endl;
	cout << BString(_T("The OBJ is in the PLACE")).ReplaceAll("OBJ", aObj).ReplaceAll("PLACE", aPlace).String() << endl;
	return 0;
}
//==============================================================================
