#ifndef	___Sample2_H_
#define	___Sample2_H_
//------------------------------------------------------------------------------
// BeOS Headers
#include <Application.h>
#include <MenuBar.h>
#include <StringView.h>
#include <Window.h>
//==============================================================================
class	TSample2App : public BApplication
{
public:
	TSample2App();
	~TSample2App();

	virtual void	AboutRequested();

private:
	typedef	BApplication	SUPER;
};
//==============================================================================
class	TSample2Win : public BWindow
{
public:
	TSample2Win(BRect oFrame);
	~TSample2Win();

private:
	typedef	BWindow	SUPER;

	void			CreateMenu();						// メニューの作成
	void			DestroyMenu();						// メニューの破棄
	void			LanguageChanged();
	virtual void	MessageReceived(BMessage* oMsg);
	virtual bool	QuitRequested();
	void			SetStringViewText();				// 説明を表示
	void			SetWindowTitle();					// タイトルバーの設定

	BMenuBar*		mMBar;								// メニューバー
	BStringView*	mStrView;							// 説明表示用
};
//==============================================================================
#endif	// ___Sample2_H_
